/* --------- top ------------ */
.testimonials {
  padding-top: 8rem;
}

.testimonials-part {
  display: flex;
}

.testimonials-upper {
  justify-content: center;
}

.testimonials-wrapper {
  display: flex;
  flex-direction: column;
}

.testimonials-upper-wrapper {
  text-align: center;
  width: calc((2 * 100%) / 3);
  padding: 0 1.25rem;
}

.testimonials-upper-heading {
  line-height: 1.35;
  letter-spacing: -0.01em;
  margin-bottom: 1rem;
  margin-top: 0;
  font-size: 1.9375rem;
  font-weight: 400;
}

.testimonials-upper-text {
  margin-bottom: 4rem !important;
  font-size: 1.1875rem !important;
}

/* --------- bot ------------ */
.testimonials-lower {
  padding-left: 1.25rem;
  padding-right: 1.25rem;
}

.testimonials-lower > div {
  margin-bottom: 2rem;
  width: 100%;
}

.testimonials-lower-wrapper {
  display: flex;
  text-align: center;
  box-shadow: rgba(50, 50, 93, 0.25) 0px 13px 27px -5px,
    rgba(0, 0, 0, 0.3) 0px 8px 16px -8px;
  border-radius: 5px;
  background-color: white;
}

.testimonials-column {
  width: 50%;
}

.testimonials-lower-left {
  position: relative;
  overflow: hidden;
  border-radius: 5px 0 0 5px;
}

.testimonials-card-brand {
  display: flex;
  justify-content: center;
  margin-bottom: 2.5rem;
  flex-wrap: wrap;
}

.testimonials-card-brand-wrapper {
  padding-left: 1.25rem;
  padding-right: 1.25rem;
  width: 41.66666667%;
}

.testimonials-card-brand-wrapper.instagram-brand {
  color: #3f5d87;
}

.testimonials-card-brand-wrapper.airbnb-brand {
  color: #ff5a5f;
}

.testimonials-card-text > p {
  margin-top: 0;
  margin-bottom: 2.5rem;
  color: black !important;
  font-size: 1.25rem;
}

.testimonials-card-footer {
  color: #869ab8;
  font-size: 0.75rem;
  line-height: 1.55;
  letter-spacing: 0.08em;
  text-transform: uppercase;
}

.slide-btn {
  position: absolute;
  top: 50%;
  background-color: blue;
  z-index: 100;
  width: 3.5rem;
  height: 3.5rem;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
}

.slide-btn:hover {
  cursor: pointer;
}

.btn-next {
  right: 0;
  transform: translate(50%, -50%);
}

.slide-btn > i {
  margin: 0;
  color: white;
}

.btn-prev {
  left: -100%;
  transform: translate(-50%, -50%);
}

.testimonials-cards-wrapper {
  overflow: hidden;
  position: relative;
  width: 100%;
  height: 100%;
}

.testimonials-cards {
  height: 100%;
  left: 0;
  position: absolute;
  width: 100%;
  box-sizing: border-box;
}

.airbnb-card-wrapper {
  transform: translate(0%, -50%);
}

.instagram-card-wrapper {
  transform: translate(100%, -50%);
}

.testimonials-card-wrapper {
  position: absolute;
  width: 100% !important;
  top: 50%;
  box-sizing: border-box;
  padding: 0 2.5rem;
}

.testimonials-lower-right {
  margin-top: auto;
  margin-bottom: auto;
  position: relative;
}

.testimonials-img-wrapper {
  display: none;
}

.left-hidden-slider {
  animation-name: left-hidden-slider;
  animation-duration: 0.5s;
}

.right-hidden-slider {
  animation-name: right-hidden-slider;
  animation-duration: 0.5s;
}

.left-show-slider {
  animation-name: left-show-slider;
  animation-duration: 0.5s;
}

.right-show-slider {
  animation-name: right-show-slider;
  animation-duration: 0.5s;
}

@keyframes left-hidden-slider {
  from {
    transform: translate(0, -50%);
  }
  to {
    transform: translate(-100%, -50%);
  }
}

@keyframes right-hidden-slider {
  from {
    transform: translate(0, -50%);
  }
  to {
    transform: translate(100%, -50%);
  }
}

@keyframes left-show-slider {
  from {
    transform: translate(100, -50%);
  }
  to {
    transform: translate(0, -50%);
  }
}

@keyframes right-show-slider {
  from {
    transform: translate(-100, -50%);
  }
  to {
    transform: translate(0, -50%);
  }
}
/* ------------ shape ------------ */

.testimonials-shape {
  position: absolute;
  overflow: hidden;
  bottom: 0;
  right: 0;
  top: 0;
  color: white;
}

.testimonials-shape > svg {
  transform: scale(2);
  height: 100%;
  width: auto;
  transform-origin: center left;
}

@media only screen and (min-width: 1200px) {
  .testimonials-lower-wrapper {
    height: 24rem;
  }

  .testimonials-lower-right {
    height: 24rem;
  }

  .testimonials-img-wrapper > img {
    width: 100%;
    object-fit: cover;
  }
}

@media only screen and (min-width: 990px) and (max-width: 1200px) {
  .testimonials-img-wrapper > img {
    width: 100%;
    object-fit: cover;
  }

  .testimonials-card-brand-wrapper {
    width: 36%;
  }

  .testimonials-lower-wrapper {
    height: 24rem;
  }

  .testimonials-lower-right {
    height: 24rem;
  }
}

@media only screen and (min-width: 760px) and (max-width: 990px) {
  .testimonials-card-brand-wrapper {
    width: 36%;
  }

  .testimonials-lower-wrapper {
    height: 26rem;
  }

  .testimonials-lower-right {
    height: 26rem;
  }

  .testimonials-img-wrapper > img {
    height: 100%;
  }

  .testimonials-img-wrapper {
    height: 100%;
  }

  .testimonials-upper-heading {
    font-size: 1.5rem !important;
  }

  .testimonials-upper-wrapper {
    width: 83.33333333%;
  }
}

@media only screen and (min-width: 575px) and (max-width: 760px) {
  .testimonials-lower-wrapper {
    flex-direction: column;
  }

  .testimonials-upper-wrapper {
    width: 100%;
  }

  .testimonials-lower {
    flex-direction: column;
  }

  .testimonials-shape {
    display: none;
    width: 100%;
  }

  .testimonials-img-wrapper > img {
    width: 100%;
    object-fit: contain;
  }

  .testimonials-img-wrapper {
    width: 100%;
  }

  .testimonials-column {
    width: 100%;
  }

  .testimonials-card-brand-wrapper {
    width: 33.33333333%;
  }

  .testimonials-card-brand {
    margin-bottom: 1.5rem;
  }

  .btn-prev {
    left: 0;
  }

  .testimonials-card-wrapper {
    padding: 2rem 2rem !important;
  }

  .testimonials-lower-left {
    display: flex;
    flex-direction: column;
  }

  .testimonials-card-text > p {
    margin-bottom: 1.5rem;
  }

  .testimonials-upper-heading {
    font-size: 1.5rem !important;
  }
}

@media only screen and (max-width: 575px) {
  .testimonials-lower-wrapper {
    flex-direction: column;
  }

  .testimonials-upper-wrapper {
    width: 100%;
  }

  .testimonials-lower {
    flex-direction: column;
    padding: 0;
  }

  /* .testimonials-lower-right {
    height: 16.5rem;
  } */

  .testimonials-shape {
    display: none;
    width: 100%;
  }

  .testimonials-img-wrapper > img {
    width: 100%;
    object-fit: contain;
  }

  .testimonials-img-wrapper {
    width: 100%;
  }

  .testimonials-column {
    width: 100%;
  }

  .testimonials-card-brand-wrapper {
    width: 50%;
  }

  .testimonials-card-brand {
    margin-bottom: 1.5rem;
  }

  .btn-prev {
    left: 0;
  }

  .testimonials-card-wrapper {
    padding: 2rem 2rem !important;
  }

  .testimonials-lower-left {
    display: flex;
    flex-direction: column;
  }

  .testimonials-card-text > p {
    margin-bottom: 1.5rem;
  }

  .testimonials-upper-heading {
    font-size: 1.5rem !important;
  }
}
